/*
#booking-engine-2024 .tabbed_box {
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    padding-top: 200px;
    padding-bottom: 15px;
    padding-left: 50px;
    padding-right: 50px;
    width: 100%;
    max-width: 600px;
    background-color: #34b6a9;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area {
    position: relative;
    width: 400px;
}
*/
#booking-engine-2024 {
  position: relative;
  width: 100%;
  margin: 0 auto;
  max-width: 400px;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .row {
  display: flex;
  flex-wrap: wrap;
  margin-top: calc(-1 * 0);
  margin-right: calc(-.5 * 1.5rem);
  margin-left: calc(-.5 * 1.5rem);
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .row > * {
  flex-shrink: 0;
  width: 100%;
  max-width: 100%;
  padding-right: calc(1.5rem * .5);
  padding-left: calc(1.5rem * .5);
  margin-top: 0;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .row.pad-right {
    display: flex;
    padding-right: 0.7rem;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .pe-0 {
  padding-right: 0 !important;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .p-0 {
  padding: 0 !important;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .tab_cont a.tab {
    font-size: 1rem;
    line-height: 18px;
    color: #158e95;
    text-align: center;
    display: inline-block;
    padding: 10px;
    margin: 0;
    width: 100%;
    background-color: #FFFFFF;
    -webkit-border-radius: 20px 0 0 0;
    -moz-border-radius: 20px 0 0 0;
    -ms-border-radius: 20px 0 0 0;
    -o-border-radius: 20px 0 0 0;
    border-radius: 20px 0 0 0;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .tab_cont.mar-left {
    margin-left: -15px;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .tab_cont.active a.tab {
    color: #FFFFFF;
    background-color: #34b6a9;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area #content-1 {
    padding-top: 0;
    padding-bottom: 0;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round {
    padding: 25px;
    background-color: #34b6a9;
    -webkit-border-radius: 20px 0 0 20px;
    -moz-border-radius: 20px 0 0 20px;
    -ms-border-radius: 20px 0 0 20px;
    -o-border-radius: 20px 0 0 20px;
    border-radius: 20px 0 0 20px;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round p {
    font-size: 1rem;
    color: #FFFFFF;
    padding-left: .75rem;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round input,
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round p {
    margin-bottom: 10px;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .input-group-text {
    color: #FFFFFF;
    padding-top: 0.62rem;
    padding-bottom: 0.62rem;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .input-group-text svg {
    width: 16px;
    height: 16px;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .form-control {
  display: block;
  width: 100%;
  padding: .375rem .75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  background-color: #FFFFFF;
  background-clip: padding-box;
  border: 1px solid #dee2e6;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .input-group > .form-control, 
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .input-group > .form-floating, 
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .input-group > .form-select {
  position: relative;
  flex: 1 1 auto;
  width: 1%;
  min-width: 0;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .input-group {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  width: 100%;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .input-group-text {
  display: flex;
  align-items: center;
  padding: 0.63rem .75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  text-align: center;
  white-space: nowrap;
  background-color: #f8f9fa;
  border: 1px solid #dee2e6;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .form-control,
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .input-group-append .input-group-text {
    -webkit-border-radius:3px;
    -moz-border-radius:3px;
    -ms-border-radius:3px;
    -o-border-radius:3px;
    border-radius:3px;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .input-group .form-control {
    -webkit-border-top-right-radius:0px;
    -moz-border-top-right-radius:0px;
    -ms-border-top-right-radius:0px;
    -o-border-top-right-radius:0px;
    border-top-right-radius: 0px;
    -webkit-border-bottom-right-radius:0px;
    -moz-border-bottom-right-radius:0px;
    -ms-border-bottom-right-radius:0px;
    -o-border-bottom-right-radius:0px;
    border-bottom-right-radius: 0px;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .input-group-append .input-group-text {
    -webkit-border-top-left-radius:0px;
    -moz-border-top-left-radius:0px;
    -ms-border-top-left-radius:0px;
    -o-border-top-left-radius:0px;
    border-top-left-radius: 0px;
    -webkit-border-bottom-left-radius:0px;
    -moz-border-bottom-left-radius:0px;
    -ms-border-bottom-left-radius:0px;
    -o-border-bottom-left-radius:0px;
    border-bottom-left-radius: 0px;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .text-center {
  text-align: center !important;
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .find-button {
    font-size: 1rem;
    color: #FFFFFF;
    background-color: #158e95;
    text-decoration: none;
    display: block;
    padding:10px;
    width: 100%;
    border: none;
    -webkit-border-radius:3px; /*50px;*/
    -moz-border-radius:3px; /*50px;*/
    -ms-border-radius:3px; /*50px;*/
    -o-border-radius:3px; /*50px;*/
    border-radius:3px; /*50px;*/
}
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .find-button:hover,
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .find-button:active,
#booking-engine-2024 .tabbed_box .tabbed_rounded_area .form-round .find-button:focus {
    color: #158e95;
    background-color: #FFFFFF;
}
.ui-autocomplete.ui-front {
    top: 271px !important; /*600px*/
    width: 100% !important;
    max-width: 450px;
}
.ui-menu .ui-menu-item-wrapper {
    display: block;
}
.ui-dialog .ui-dialog-titlebar-close.ui-button-icon-only {
  background-image: url("https://code.jquery.com/ui/1.12.0/themes/base/images/ui-icons_555555_256x240.png");
  background-position: -96px -128px;
}
#booking-engine-2024 .roi-engine-container {
    padding-top: 25px;
    padding-bottom: 25px;
}
#booking-engine-2024 .roi-engine-container .roi-search-engine{background-color:transparent;}
#booking-engine-2024 .roi-engine-container .roi-search-engine .roi-search-engine__label,
#booking-engine-2024 .roi-engine-container .roi-search-engine .roi-search-engine__field--day,
#booking-engine-2024 .roi-engine-container .roi-search-engine .roi-search-engine__field--month-year {
    color: #FFFFFF;
}
#booking-engine-2024 .roi-engine-container .roi-search-engine .roi-search-engine__field--calendar .svg-roi path {
  stroke: #FFFFFF;
}
#booking-engine-2024 .roi-engine-container .roi-search-engine .roi-search-engine__item--action .roi-search-engine__field--action {
    background-color: #158e95;
}
#booking-engine-2024 .roi-engine-container .roi-search-engine .roi-search-engine__item--action .roi-search-engine__field--action:focus,
#booking-engine-2024 .roi-engine-container .roi-search-engine .roi-search-engine__item--action .roi-search-engine__field--action:active,
#booking-engine-2024 .roi-engine-container .roi-search-engine .roi-search-engine__item--action .roi-search-engine__field--action:hover {
    background-color: #000000;
}
/*
#booking-engine-2024 .roi-engine-container .roi-search-engine {
    background-color: transparent;
}
#booking-engine-2024 .roi-engine-container .roi-search-engine .col-md-3,
#booking-engine-2024 .roi-engine-container .roi-search-engine .col-md-2 {
    background-color: rgba(0,0,0,0.4);
}
#booking-engine-2024 .roi-engine-container .roi-search-engine .roi-search-engine__label,
#booking-engine-2024 .roi-engine-container .roi-search-engine .roi-search-engine__field--month-year {
    font-size: 1rem;
    font-weight: 300;
}
#booking-engine-2024 .roi-engine-container .roi-search-engine .roi-search-engine__label {
    margin-top: 15px;
    margin-bottom: 15px;
}
#booking-engine-2024 .roi-engine-container .roi-search-engine .roi-search-engine__item--action {
    padding-top: 20px;
    padding-bottom: 20px;
}
#booking-engine-2024 .roi-engine-container .roi-search-engine .roi-search-engine__item--action .roi-search-engine__field--action {
    font-size: 0.9rem;
    color: #FFFFFF;
    background-color: #158e95;
    text-decoration: none;
    border: none;
    -webkit-border-radius:50px;
    -moz-border-radius:50px;
    -ms-border-radius:50px;
    -o-border-radius:50px;
    border-radius:50px;
    -webkit-transition-property: box-shadow, transform;
    -webkit-transition-duration: 0.3s;
    transition-property: box-shadow, transform;
    transition-duration: 0.3s;
}
#booking-engine-2024 .roi-engine-container .roi-search-engine .roi-search-engine__item--action .roi-search-engine__field--action:focus,
#booking-engine-2024 .roi-engine-container .roi-search-engine .roi-search-engine__item--action .roi-search-engine__field--action:active,
#booking-engine-2024 .roi-engine-container .roi-search-engine .roi-search-engine__item--action .roi-search-engine__field--action:hover {
    color: #158e95;
    background-color: #FFFFFF;
    box-shadow: 0 10px 10px -10px rgba(0, 0, 0, 0.5);
      -webkit-transform: scale(1.1);
      transform: scale(1.1);
}
*/
@media (max-width: 479px) {
    .ui-autocomplete.ui-front {
        max-width: 320px;
    }
    #booking-engine-2024 .tabbed_box .tabbed_rounded_area .row.pad-right .pe-0 {
        margin-left: 10%;
    }
    #booking-engine-2024 .tabbed_box .tabbed_rounded_area .row.pad-right .col-sm-6 {
        width: 45%;
    }
}
@media (max-width: 767px) {
    .ui-autocomplete.ui-front {
        top: 554px !important;
        max-width: 550px;
    }
    #booking-engine-2024 .tabbed_box .tabbed_rounded_area .row.pad-right .col-sm-6 {
        width: 40%;
    }
    #booking-engine-2024 .tabbed_box .tabbed_rounded_area .row.pad-right .pe-0 {
        margin-left: 20%;
    }
}
@media (min-width: 768px) {
    #booking-engine-2024 .tabbed_box .tabbed_rounded_area .row .col-md-3 {
        flex: 0 0 auto;
        width: 25%;
    }    
    .offset-md-6 {
        margin-left: 50%;
    }
    .offset-md-4 {
        margin-left: 33.33333333%; /*50%;*/
    }
}
@media (min-width: 768px) and (max-width: 991px) {
    .ui-autocomplete.ui-front {
        top: 953px !important;
        max-width: 550px;
    }
}
@media (min-width: 992px) {
    #booking-engine-2024 .tabbed_box .tabbed_rounded_area .row .col-lg-6 {
        flex: 0 0 auto;
        width: 50%;
    }
    #booking-engine-2024 .tabbed_box .tabbed_rounded_area .row .col-lg-4 {
        flex: 0 0 auto;
        width: 33.33333333%%;
    }    
    #booking-engine-2024 .tabbed_box .tabbed_rounded_area .row .col-lg-3 {
        flex: 0 0 auto;
        width: 25%;
    }    
}
